New Chargeflow docs. Everything for merchants, platforms, and the API in one place.
Log in
Current (2025-04-01)Merchants APIDisputes

Create Subscription

Creates a subscription in Chargeflow that can be used to enrich a dispute.

POST
/public/2025-04-01/disputes/{disputeId}/subscription
x-api-key<token>

Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.

In: header

Path Parameters

disputeId*string

The unique Chargeflow object identifier of the dispute.

Match^[0-9a-fA-F]{24}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Creates a new Chargeflow subscription.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/public/2025-04-01/disputes/66e6ea9ecd94925a9f8060d9/subscription" \  -H "Content-Type: application/json" \  -d '{    "source_id": "source_sub_1234567890",    "created_at": "2024-02-10T12:00:00Z",    "start_date": "2024-02-10T12:00:00Z",    "frequency": "month",    "frequency_count": 1  }'
{  "id": "66e6ea9ecd94925a9f8060d9",  "source_id": "source_sub_1234567890",  "account_id": "66e6ea9ecd94925a9f8060d9",  "ext_account_id": "acc_123456",  "created_at": "2024-02-10T12:00:00Z",  "updated_at": "2024-02-15T12:00:00Z",  "start_date": "2024-02-10T12:00:00Z",  "end_date": "2024-08-10T12:00:00Z",  "cancellation_date": "2024-07-10T12:00:00Z",  "frequency": "month",  "frequency_count": 1,  "cancellation_reason": "too_expensive",  "collection_method": "automatically",  "trial_start": "2024-02-10T12:00:00Z",  "trial_end": "2024-03-10T12:00:00Z",  "renews_at": "2024-03-10T12:00:00Z",  "plan_name": "Pro Plan",  "pricing_model": "fixed_price",  "status": "active"}
Was this page helpful?
llms.txt